Package org.silverpeas.components.quickinfo

# Class QuickInfoUserAuthenticationListener

java.lang.Object
org.silverpeas.components.quickinfo.QuickInfoUserAuthenticationListener

All Implemented Interfaces:
  `EventListener`, `org.silverpeas.core.initialization.Initialization`, `org.silverpeas.core.security.authentication.UserAuthenticationListener`

@Service public class QuickInfoUserAuthenticationListener extends Object implements org.silverpeas.core.security.authentication.UserAuthenticationListener
This listener handles the blocking news about Quick Info application.
Just after a successful user authentication, blocking news are displayed to the user if any.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QuickInfoUserAuthenticationListener()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `firstHomepageAccessAfterAuthentication(jakarta.servlet.http.HttpServletRequest request, org.silverpeas.core.admin.user.model.User user, String finalURL)`
  `String`
  `homepageAccessFromLoginWhenUserSessionAlreadyOpened(jakarta.servlet.http.HttpServletRequest request, org.silverpeas.core.admin.user.model.User user, String finalURL)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.silverpeas.core.initialization.Initialization

  `getPriority`

  ### Methods inherited from interface org.silverpeas.core.security.authentication.UserAuthenticationListener

  `init, release`

- ## Constructor Details

  - ### QuickInfoUserAuthenticationListener

    public QuickInfoUserAuthenticationListener()

- ## Method Details

  - ### firstHomepageAccessAfterAuthentication

    public String firstHomepageAccessAfterAuthentication(jakarta.servlet.http.HttpServletRequest request, org.silverpeas.core.admin.user.model.User user, String finalURL)
    Specified by:
      `firstHomepageAccessAfterAuthentication` in interface `org.silverpeas.core.security.authentication.UserAuthenticationListener`

  - ### homepageAccessFromLoginWhenUserSessionAlreadyOpened

    public String homepageAccessFromLoginWhenUserSessionAlreadyOpened(jakarta.servlet.http.HttpServletRequest request, org.silverpeas.core.admin.user.model.User user, String finalURL)
    Specified by:
      `homepageAccessFromLoginWhenUserSessionAlreadyOpened` in interface `org.silverpeas.core.security.authentication.UserAuthenticationListener`